# Class: Haml::SafeErubisTemplate

Inherits:
  Tilt::ErubisTemplate
  - Object
  - Tilt::ErubisTemplate
  - Haml::SafeErubisTemplate
  show all

Defined in:
  lib/haml/helpers/safe_erubis_template.rb

## Instance Method Summary collapse

- #initialize_engine
- #precompiled_postamble(locals)
- #precompiled_preamble(locals)
- #prepare

## Instance Method Details

### #initialize_engine

    17
    18

    # File 'lib/haml/helpers/safe_erubis_template.rb', line 17

    def initialize_engine
    end

### #precompiled_postamble(locals)

    29
    30
    31

    # File 'lib/haml/helpers/safe_erubis_template.rb', line 29

    def precompiled_postamble(locals)
      [super, '@output_buffer.to_s'].join("\n")
    end

### #precompiled_preamble(locals)

    25
    26
    27

    # File 'lib/haml/helpers/safe_erubis_template.rb', line 25

    def precompiled_preamble(locals)
      [super, "@output_buffer = ActionView::OutputBuffer.new;"].join("\n")
    end

### #prepare

    20
    21
    22
    23

    # File 'lib/haml/helpers/safe_erubis_template.rb', line 20

    def prepare
      @options.merge! :engine_class => Haml::ErubisTemplateHandler
      super
    end